javax.sound.midi

## Class MidiUnavailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.sound.midi.MidiUnavailableException

All Implemented Interfaces:
  Serializable

    public class MidiUnavailableException
    extends Exception

A `MidiUnavailableException` is thrown when a requested MIDI component cannot be opened or created because it is unavailable. This often occurs when a device is in use by another application. More generally, it can occur when there is a finite number of a certain kind of resource that can be used for some purpose, and all of them are already in use (perhaps all by this application). For an example of the latter case, see the `setReceiver` method of `Transmitter`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MidiUnavailableException()` Constructs a `MidiUnavailableException` that has `null` as its error detail message.
`MidiUnavailableException(String message)` Constructs a `MidiUnavailableException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MidiUnavailableException

    public MidiUnavailableException()

Constructs a `MidiUnavailableException` that has `null` as its error detail message.

#### MidiUnavailableException

    public MidiUnavailableException(String message)

Constructs a `MidiUnavailableException` with the specified detail message.

Parameters:
  `message` - the string to display as an error detail message

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.